Bug 503360 - (bsund) Cannot disable sound in GDM
Cannot disable sound in GDM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-31 11:40 EDT by Björn Sund
Modified: 2013-08-01 14:33 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Björn Sund 2009-05-31 11:40:34 EDT
Description of problem:
I added /var/lib/gdm/.gconf/apps/gdm/simple-greeter/settings-manager-plugins/sound/%gconf.xml with proper options to disable sound. However GDM seems to ignore it.

Version-Release number of selected component (if applicable):
gdm-2.26.1-10.fc11.x86_64

Steps to Reproduce:
1. Use gconf-editor to disable apps/gdm/simple-greeter/setting-manager-plugins/sound
2. As root copy ~/.gconf/apps/gdm/simple-greeter/settings-manager-plugins to /var/lib/gdm/.gconf/appd/gdm/simple-greeter/
3. chown -R the files to gdm:gdm
  
Actual results:
GDM ignores it and play sound.

Expected results:
GDM would read it and not play any sound.

Additional info:
/usr/share/sounds/freedesktop/stereo/bell.ogg is the sound that is being played, mv it for silence.
Comment 1 Bug Zapper 2009-06-09 12:53:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 markm 2009-06-14 10:15:20 EDT
From my perspective:

1. there should be no sound on the gdm screen - some people don't like system sounds, so they should not be forced to have them on gdm too.

2. there should be an easy way to change gdm settings - there is no such way at the moment.
Comment 3 Chris 2009-06-14 17:00:21 EDT
Workaround:

1. Use gconf-editor to disable
apps/gdm/simple-greeter/setting-manager-plugins/sound
2. # rm -rf /var/lib/gdm/.gconf/
3. # cp -r /root/.gconf /var/lib/gdm/.
4. # chown -R gdm:gdm /var/lib/gdm/.gconf
5. # gnome-volume-control
6. Set 'Sound Theme' to 'No sounds'
7. Close gnome-volume-control
8. Re-logon
9. Enjoy reclaimed silence :)
Comment 4 Norman Smith 2009-08-19 10:19:16 EDT
Editorial Comment: 

This is a very annoying problem.

I looked through many of the bug reports and Google results for gdm and it looks like gdm is in a mess.  The pulseaudio in F11 is much better.  Hopefully gdm will be healed before F12 gets here.  After trying all the fixes in the previous comments I ended up stuffing cotton into the speaker connected to my motherboard.  Somehow trying the above fixes moved the demon sprite from the sound system to the bios driven speaker. That fix worked for me but adjusting the cotton stuffing so I could barely hear the beep from the bios on boot-up was a bit time consuming.

I usually try to be helpful when I run into a bug, but this time I just wanted to stop the distracting beep that often arrived a second or two into typing my password. That is lunacy.  A beep if I type it wrong is acceptable, my bad, but while I typing???

Please excuse this minor frustration.
Comment 5 markm 2009-08-19 10:29:19 EDT
try to blacklist pcspkr module, just add to your /etc/modprobe.d/blacklist the following line:

blacklist pcspkr

(for me personally pcspkr is very annoying, especially on laptop computeres, where speaker is quite close to your ear...)
Comment 6 Andrew McNabb 2009-10-23 19:13:22 EDT
This is a very serious problem.  GDM should have sound disabled by default.  In fact, I can't see any value in having GDM do any sounds at all, but there are many times where having sounds enabled in quiet places can cause real problems.  Can we at least remove /usr/share/sounds/freedesktop/stereo/bell.ogg in Fedora?  It's a really easy fix, and I can't think of any drawbacks to doing this.

I tried both of the following, which the GNOME documentation implies should work:

gconftool-2 --direct \
  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults -t bool \
  -s /apps/gdm/simple-greeter/settings-manager-plugins/sound/active false

I also tried it for gconf.xml.system and gconf.xml.mandatory, and still had no luck.

By the way, this is still present in Fedora 12 Beta, so it would be great if the version were updated to Rawhide.  Thanks.
Comment 7 Andrew McNabb 2009-10-23 19:16:24 EDT
It looks like the file was renamed to /usr/share/sounds/freedesktop/stereo/bell.oga in Fedora 12.  Removing this works around the problem.
Comment 8 Andrew McNabb 2009-10-26 15:03:08 EDT
Hmm, a few days later and the annoying sounds seem to have come back even though the bell.oga file still doesn't exist.  Weird.
Comment 9 schlaffi 2009-10-31 07:39:49 EDT
If you do not have success by setting this via gconf, as e.g. the original poster has, don't forget to 

$ chcon -R -t  xdm_var_lib_t /var/lib/gdm/.gconf/

and if you like

% chcon -R -u system_u /var/lib/gdm/.gconf/

if SELinux is enabled.

A reason why this bug may be difficult to reproduce is that if you turn down the volume or mute, the system keeps this setting upon reboot and gdm then is silent.

Btw, this solves also Bug 509505, which essentially is a duplicate. I guess 468432 is also a duplicate.

Note: There really should be a way to turn of sounds easily in gdm (such a simple click to mute). Anyway, I think those who find sounds annoying suffer more than those win who do a big hurray for every beep their lovely machine does. (Anyway this login beep is embarrassing: On my machine it takes about one second between user selection and beep.)
Comment 10 schlaffi 2009-10-31 15:25:38 EDT
Ok. Doing the stuff in Comment #9 did no longer work after restart... What I did  now is uninstalling gdm, removing any file that looked as if related to gdm and reinstalling (gdm-2.26.1-13.fc11.x86_64). Now for the last couple of restarts anything is silent although the gconf defaults apply, which have sound enabled.
Comment 11 Kieran Clancy 2009-11-20 06:41:03 EST
What is the rationale for having this sound in the first place? I've just selected my username and hit enter, and gdm will now ask for my password -- I don't see how the sound has helped me at this point.

As I understand it, a beep might be used to indicate that something unusual has happened (an error requiring some kind of user input), or possibly that a time-intensive operation has completed to notify me that I can now come back and finish something I started doing. I believe that neither of these cases apply here.

One problem for me is that I have my PC connected to a stereo with the volume set quite high, which is fine for the music I listen to (with the volume set low in the player, so I can turn it up if I ever need to without having to walk to my stereo) but not when I restart my computer and forget about the gdm sound while people are trying to sleep in the next room.
Comment 12 Marcin 2009-11-24 09:55:08 EST
I tried another workaround: set ACL privileges for user and group gdm to 000 for /usr/share/sounds/freedesktop/stereo/bell.oga and disabled sound plugin for gdm in /var/lib/gdm/.gconf/apps/gdm/simple-greeter/settings-manager-plugins/sound/%gconf.xml. Restored proper SELinux fcontext and  - sound is disabled for me.

BTW. Please bump the version to F12.
And .. dear package maintainer and/or developers (perhaps upstream ones). Please rethink technical superiority of rewritten configuration of gdm versus user friendliness and usability.

Create the clearer and simpler method than sniffing what sound file is used then denying reading it and/or copying by hand schema settings to the gdm user configs.
It should considerably improve this part of user desktop experience.

Regards
Marcin
Comment 13 Andrew McNabb 2009-11-24 13:18:30 EST
My current best workaround is:

/usr/bin/gconftool-2 --direct \
    --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults \
    -t bool -s /desktop/gnome/sound/event_sounds false

But yeah, gdm really seems to be broken and unmaintained.
Comment 14 schlaffi 2009-11-24 15:30:18 EST
I think it's unacceptable that this bug has not found any attention by the maintainers so far. I got rid of the just-curious-you-hit-the-enter-key-beep but still have it if I mistype my password, cf. Bug 509505. This makes FC almost unusable for me. Why is there no possibility to configure gdm? (Why the heck does it use gconf, although it is not part of any desktop?)

Yes, this is no discussion forum, but if the maintainers are not interested, just put the WONTFIX flag. Then it would maybe worth the effort to try to get xdm running. It's really annoying to see such a simple bug to remain unfixed without even a proper workaround. (Even worse, it is a bug from which you more or less _have_ to suffer every time you turn on your machine.)
Comment 15 Ray Strode [halfline] 2009-11-24 18:16:42 EST
Note sounds are very important for a certain class of users (in particular those with accessibility needs).

comment 13 is fine.

You can also point it directly at /var/lib/gdm/.gconf instead of /etc/gconf/gconf.xml.defaults

Another option is to run gconf-editor (as root), check the toggle box next to event_sounds off, right click on it and choose "Set as Default"

Some other relevent gconf keys are discussed in the gdm manual:

http://projects.gnome.org/gdm/docs/2.24/

In the F-13 cycle we're going to add a "User account" dialog that will allow certain login settings to be configured.  I don't know if sounds will be one of them.  It may make more sense for that to be done via a "Make Default" button in gnome-volume-control like how we configure background for the login screen in gnome-appearance-properties.

Note GDM is not unmaintained.  It's just certain issues are prioritized over other issues.
Comment 16 Kieran Clancy 2009-11-24 18:56:58 EST
(In reply to comment #15)
> Note sounds are very important for a certain class of users (in particular
> those with accessibility needs).

This is true in general, but I'm not sure how much good this specific sound event is or how helpful it is to have turned on by default.

The behaviour of a freshly installed system is this:
1) Show user account chooser, which will have just one account (the one made in firstboot)
2) The user selects this one account
3) gdm beeps (sometimes very loudly)
4) The user enters their password (again, set up at firstboot)

For users who are visually impaired, there is no sound indication that they have arrived at the login screen in the first place. So let's suppose they wait until they are sure the login screen is ready, and they press enter to select the user and can hear the beep, and they can then enter their password. As I said in comment 11, this sound on pressing enter is really not that helpful -- you already know you're about to enter your password, visually impaired or not.

Now, in a more realistic scenario, a visually impaired user would have a screen reader and/or other accessibility features turned on and configured. In this case if they are configuring things couldn't they choose to turn on sounds on the login screen etc while they are doing that?

There are other issues with the sound too. For example, if the system last had the volume set to mute, there will be no login sound (which certainly does no good for accessibility). And as other people have mentioned, if the volume is set high, the sound can be deafening.
Comment 17 schlaffi 2009-11-24 20:04:17 EST
Okay, the emphasis on the accessbility issue might be subject to internal Fedora politics... But also note that unexpected sounds at uncontrolled loudness can cause serious damage to a healthy ear. And yes, there seem to be more serious bugs in gdm, I agree. Nevertheless, google shows already the first requests how to turn off sounds in F-12.

So I'm looking forward to have F-13. Meanwhile I installed the Simple Login Manager (SLiM). There everything is silent -- and remains silent forever, because with SLiM there is no way to start pulseaudio and also no webcam is available (this happens because some magic login actions are implemented in gdm rather than the desktop startup). So I gracefully went back to gdm (2.26.1-13.fc11). Now everything is silent, even on wrong password -- I don't get it why, but I am happy and will come back to comment 13 if the sounds appear again.
Comment 18 NSLW 2010-01-25 11:07:54 EST
This sound is really annoying. It plays always at full volume. Somebody should set silent login to default.
Comment 19 andreas.mack@konsec.com 2010-02-18 10:54:13 EST
For me the the gconf-editor solution from #15 worked. Please make this easier or with different defaults, at least for the gdm user.
Comment 20 Bug Zapper 2010-11-04 07:11:16 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Andrew McNabb 2010-11-04 14:38:01 EDT
I just checked the latest GDM documentation:

http://library.gnome.org/admin/gdm/2.32/gdm.html

There still appears to be know way to properly configure the dang thing.
Comment 22 schlaffi 2010-11-05 04:01:59 EDT
Well, this documentation is more than 1 year old... I did not find any configuration tool for gdm in F14, so I guess the bug is still unresolved? It was argued before, that makeing a noise at each boot is a feature and not a bug, so what about a WONTFIX? It would be more honest.
Comment 23 Andrew McNabb 2011-05-02 17:27:15 EDT
In Fedora 15, the gconftool-2 hack doesn't seem to work.  Several years after the GDM rewrite, there still does not to be any way to configure it.  As far as I can tell, GDM is not actively maintained.
Comment 24 Ray Strode [halfline] 2011-05-02 17:38:45 EDT
The configuration has been moved to gsettings in f15.
Comment 25 Andrew McNabb 2011-05-02 17:51:27 EDT
The gsettings man page does not seem to give any insight about how to change system-wide configuration (presumably in /etc/dconf/db/gdm ?) and does not provide any examples.
Comment 26 Christof Damian 2011-05-21 06:16:56 EDT
The ready sound has started for me after installing F15, I haven't found a way to disable it yet.
Comment 27 Dave Vasilevsky 2011-05-26 05:25:21 EDT
This is far more complicated than it has to be, but you can convince gsettings to create a modified dconf override. Hopefully I don't have any typos:

cp /etc/dconf/db/gdm gdm.bak
mkdir -p xdg-config/dconf
cp gdm.bak xdg-config/dconf/user
export XDG_CONFIG_HOME=$PWD/xdg-config
eval $(dbus-launch --sh-syntax)
gsettings set org.gnome.desktop.sound event-sounds false
kill $DBUS_SESSION_BUS_PID
unset XDG_CONFIG_HOME
sudo cp xdg-config/dconf/user /etc/dconf/db/gdm
Comment 28 Andrew McNabb 2011-05-26 13:21:51 EDT
(In reply to comment #27)
> cp /etc/dconf/db/gdm gdm.bak
> mkdir -p xdg-config/dconf
> cp gdm.bak xdg-config/dconf/user
> export XDG_CONFIG_HOME=$PWD/xdg-config
> eval $(dbus-launch --sh-syntax)
> gsettings set org.gnome.desktop.sound event-sounds false
> kill $DBUS_SESSION_BUS_PID
> unset XDG_CONFIG_HOME
> sudo cp xdg-config/dconf/user /etc/dconf/db/gdm

Ouch.  I hope there's a better way than that.

In the meantime, I've started using kdm, which actually provides a reasonable mechanism for configuration.
Comment 29 Dan Krejsa 2011-05-30 13:19:42 EDT
(In reply to comment #27)
Thanks, Dave V., that works for me.
Your dconf-fu is very strong!
Comment 30 Norman Smith 2011-05-30 15:19:03 EDT
This may be a little simpler.

su - 
su - gdm -s /bin/bash
eval $(dbus-launch --sh-syntax)
GSETTINGS_BACKEND=dconf gsettings set org.gnome.desktop.sound event-sounds false
exit
exit

The prompts are omitted so commands fits on one line.

This worked for me.
Comment 31 Norman Smith 2011-05-30 15:21:19 EDT
See above....

Well the false should be on same line as events-sound. Dang I thought I had that covered.
Comment 32 Fedora Admin XMLRPC Client 2011-06-21 11:31:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 33 Fedora Admin XMLRPC Client 2011-06-21 11:34:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 34 Fedora Admin XMLRPC Client 2011-06-21 11:36:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 35 Fedora Admin XMLRPC Client 2011-06-21 11:39:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 36 Fedora Admin XMLRPC Client 2011-06-21 11:49:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 37 Fedora Admin XMLRPC Client 2011-06-21 11:51:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 38 Fedora Admin XMLRPC Client 2011-06-21 11:54:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 39 Fedora Admin XMLRPC Client 2011-06-21 11:55:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 40 Fedora End Of Life 2012-08-07 16:17:03 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 41 Andrew McNabb 2012-08-08 12:00:08 EDT
GDM is still unconfigurable in Fedora 17, so this shouldn't have been automatically closed.
Comment 42 schlaffi 2012-08-08 18:21:05 EDT
Hm. A `bug' which simply requires to set a flag from true to false and which hasn't been resolved since more than 3 years, should be closed as WONTFIX. Maybe one could open a new bug, that gdm cannot be configured by any reaonsable means (i.e., by editing a text file... just kidding...)

Actually it got way better meanwhile since now the sound only occurs if you mistype your password. And note, that the original bug report is resolved since long ago.
Comment 43 Fedora End Of Life 2013-07-04 02:53:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 44 Fedora End Of Life 2013-08-01 14:33:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.